
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif
%define MOD_PATH github.com/containernetworking

%global golang_version      1.15.9

Name:           kubernetes-cni
Version:        0.8.0
Release:        3%{?dist}
BuildArch:      x86_64
Summary:        Container Network Interface - networking for Linux containers
License:        Apache-2.0
Vendor:         Oracle America
Group:          System/Management
Url:            https://github.com/containernetworking/cni
Source:         cni-%{version}.tar.bz2
Requires:       kubernetes-cni-plugins >= 0.8.7
BuildRequires:  golang >= %{golang_version}

%description
The CNI (Container Network Interface) project consists of a
specification and libraries for writing plugins to configure
network interfaces in Linux containers, along with a number of
supported plugins. CNI concerns itself only with network
connectivity of containers and removing allocated resources when
the container is deleted. Because of this focus, CNI has a wide
range of support and the specification is simple to implement.

This is the minimal CNI configuration for Kubernetes.

%prep
%setup -q -n cni-%{version}
mkdir -p bin
rm -rf bin/*
GOPATH=$(go env GOPATH)
mkdir -p $GOPATH/bin
mkdir -p $GOPATH/src/%{MOD_PATH}
ln -s `pwd` $GOPATH/src/%{MOD_PATH}/cni

%build
GOPATH=$(go env GOPATH)
pushd $GOPATH/src/%{MOD_PATH}/cni

go build -o bin/ -v ./...

%install
install -m 755 -d %{buildroot}/opt/cni
mv bin/ %{buildroot}/opt/cni/

%files
%license LICENSE
/opt/cni

%changelog
* Wed Apr 21 2021 Daniel Carvallo <luis.daniel.carvallo@oracle.com> - 0.8.0-3
- Address CVE-2021-27918

* Wed Oct 14 2020 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 0.8.0-2
- Changes to support OL8 builds

* Tue Oct 13 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 0.8.0-1
- Added Oracle specific build files for Kubernetes CNI
